# Interface YieldTree

All Superinterfaces:
  `StatementTree, Tree`

public interface YieldTree extends StatementTree
A tree node for a `yield` statement. For example:

      yield expression ;

See Java Language Specification:
  14.21 The yield Statement
Since:
  14

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getValue()`
Returns the expression for this `yield` statement.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getValue

ExpressionTree getValue()
Returns the expression for this `yield` statement.

Returns:
  the expression